GISModelWriter (Apache OpenNLP :: Core :: ML :: Maximum Entropy 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.maxent.io, class: GISModelWriter

Package opennlp.tools.ml.maxent.io

# Class GISModelWriter

java.lang.Object
opennlp.tools.ml.model.AbstractModelWriter
opennlp.tools.ml.AbstractMLModelWriter
opennlp.tools.ml.maxent.io.GISModelWriter

Direct Known Subclasses:
  `BinaryGISModelWriter`, `QNModelWriter`

public abstract class GISModelWriter extends opennlp.tools.ml.AbstractMLModelWriter
The base class for writers of `GIS models`.

It provides the `persist()` method which takes care of the structure of a stored document, and requires an extending class to define precisely how the data should be stored.

See Also:
  - `GISModel`
  - `AbstractModelWriter`
  - `AbstractMLModelWriter`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GISModelWriter(opennlp.tools.ml.model.AbstractModel model)`
  Initializes a `GISModelWriter` for a `GIS model`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `persist()`
  Writes the `GIS model`, using the `AbstractModelWriter.writeUTF(String)`, `AbstractModelWriter.writeDouble(double)`, or `AbstractModelWriter.writeInt(int)`} methods implemented by extending classes.

  ### Methods inherited from class opennlp.tools.ml.model.AbstractModelWriter

  `close, writeDouble, writeInt, writeUTF`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GISModelWriter

    public GISModelWriter(opennlp.tools.ml.model.AbstractModel model)
    Initializes a `GISModelWriter` for a `GIS model`.
    Parameters:
      `model` - The `GIS model` to be written.

- ## Method Details

  - ### persist

    public void persist() throws IOException
    Writes the `GIS model`, using the `AbstractModelWriter.writeUTF(String)`, `AbstractModelWriter.writeDouble(double)`, or `AbstractModelWriter.writeInt(int)`} methods implemented by extending classes.

    If you wish to create a `GISModelWriter` which uses a different structure, it will be necessary to override the `persist()` method in addition to implementing the `writeX(..)` methods.

    Overrides:
      `persist` in class `opennlp.tools.ml.AbstractMLModelWriter`
    Throws:
      `IOException` - Thrown if IO errors occurred.